hadoop-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Owen O'Malley <omal...@apache.org>
Subject Re: [VOTE] Direction for Hadoop development
Date Tue, 14 Dec 2010 05:43:47 GMT

On Dec 13, 2010, at 8:49 PM, Eric Sammer wrote:

> One of the technical issues is the fact that this precludes users  
> from using
> PB (or thrift or avro) in their jobs if the version required  
> conflicts with
> what Hadoop proper has on the classpath.

This is currently true of all of our libraries and is addressed by  
MAPREDUCE-1938. After that is committed, users who want to override to  
a newer version just need to configure their job to do so. Using a new  
library, just because it is a serialization library other than Avro,  
is not an acceptable reason to veto a patch.

-- Owen

Mime
View raw message